#ifndef __AUDIO_RENDER_H__
#define __AUDIO_RENDER_H__

// 这里直接使用 Qt 中的 QLabel 进行音量的渲染

#include <QLabel>

class AudioRender : public QLabel {
public:
    AudioRender(QLabel* parent = nullptr);
    void setLevel(float volume);

protected:
    virtual void paintEvent(QPaintEvent* event) override;
    float _lastShowVal = 0;
};

class RenderArea : public QLabel
{
    Q_OBJECT

public:
    explicit RenderArea(QWidget *parent = nullptr);
    void setLevel(qreal value);

protected:
    void paintEvent(QPaintEvent *event) override;

private:
    qreal m_level = 0;
    QPixmap m_pixmap;
};

#endif
